> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get artist's tracks



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.artist.getArtistTracks
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.artist.getArtistTracks:
    get:
      tags:
        - app.rocksky.artist
      summary: Get artist's tracks
      operationId: app.rocksky.artist.getArtistTracks
      parameters:
        - name: uri
          in: query
          description: The URI of the artist to retrieve albums from
          required: false
          schema:
            type: string
            description: The URI of the artist to retrieve albums from
            format: at-uri
        - name: limit
          in: query
          description: The maximum number of tracks to return
          required: false
          schema:
            type: integer
            minimum: 1
        - name: offset
          in: query
          description: The offset for pagination
          required: false
          schema:
            type: integer
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  tracks:
                    type: array
                    items:
                      $ref: '#/components/schemas/app.rocksky.song.defs.songViewBasic'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.song.defs.songViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the song.
        title:
          type: string
          description: The title of the song.
        artist:
          type: string
          description: The artist of the song.
        albumArtist:
          type: string
          description: The artist of the album the song belongs to.
        albumArt:
          type: string
          description: The URL of the album art image.
          format: uri
        uri:
          type: string
          description: The URI of the song.
          format: at-uri
        album:
          type: string
          description: The album of the song.
        duration:
          type: integer
        trackNumber:
          type: integer
        discNumber:
          type: integer
        playCount:
          type: integer
          minimum: 0
        uniqueListeners:
          type: integer
          minimum: 0
        albumUri:
          type: string
          description: The URI of the album the song belongs to.
          format: at-uri
        artistUri:
          type: string
          description: The URI of the artist of the song.
          format: at-uri
        sha256:
          type: string
          description: The SHA256 hash of the song.
        mbid:
          type: string
          description: The MusicBrainz ID of the song.
        isrc:
          type: string
          description: The International Standard Recording Code (ISRC) of the song.
        tags:
          type: array
          items:
            type: string
        createdAt:
          type: string
          description: The timestamp when the song was created.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````